<?php

namespace App\ViewModels\CreditoCliente\CreditoClienteUpdateViewModel;

use App\Utils\Builder;

class CreditoClienteUpdateViewModelBuilder implements Builder {
	protected $id;
	protected $extornoId;
	protected $creditoId;
	protected $clienteId;
	protected $atualizadoPor;
	protected $dataAtualizacao;
	protected $horaAtualizacao;
	protected $valor;
	protected $saldo;
	protected $usado;

	public function build():CreditoClienteUpdateViewModel {

		$creditoCliente = new CreditoClienteUpdateViewModel();
		
		$creditoCliente->setId( $this->id );
		$creditoCliente->setExtornoId( $this->extornoId );
		$creditoCliente->setCreditoId( $this->creditoId );
		$creditoCliente->setClienteId( $this->clienteId );
		$creditoCliente->setDataCriacao( $this->dataCriacao );
		$creditoCliente->setHoraCriacao( $this->horaCriacao );
		$creditoCliente->setSaldo( $this->saldo );
		$creditoCliente->setValor( $this->valor );
		
		return $creditoCliente;

	}
	/**
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;
		return $this;
	}


	/**
	 * @param mixed $extornoId
	 */
	public function setExtornoId($extornoId) {

		$this->extornoId = $extornoId;
		return $this;
	}


	/**
	 * @param mixed $creditoId
	 */
	public function setCreditoId($creditoId) {

		$this->creditoId = $creditoId;
		return $this;
	}


	/**
	 * @param mixed $clienteId
	 */
	public function setClienteId($clienteId) {

		$this->clienteId = $clienteId;
		return $this;
	}


	/**
	 * @param mixed $atualizadoPor
	 */
	public function setAtualizadoPor($atualizadoPor) {

		$this->atualizadoPor = $atualizadoPor;
		return $this;
	}


	/**
	 * @param mixed $dataAtualizacao
	 */
	public function setDataAtualizacao($dataAtualizacao) {

		$this->dataAtualizacao = $dataAtualizacao;
		return $this;
	}


	/**
	 * @param mixed $horaAtualizacao
	 */
	public function setHoraAtualizacao($horaAtualizacao) {

		$this->horaAtualizacao = $horaAtualizacao;
		return $this;
	}


	/**
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;
		return $this;
	}


	/**
	 * @param mixed $saldo
	 */
	public function setSaldo($saldo) {

		$this->saldo = $saldo;
		return $this;
	}


	/**
	 * @param mixed $usado
	 */
	public function setUsado($usado) {

		$this->usado = $usado;
		return $this;
	}

}

